## org.eclipse.datatools.sqltools.data.internal.ui.extract
Interface IExternalExtract

    public interface IExternalExtract

Clients extending the externalTableDataExtract extension-point must implement

Method Summary
`int` `doExtract(Output output)` Performs the table data extraction
`boolean` `isUseExternalExtract()` Returns whether or not to use external extract
`void` `setDelimiters(java.lang.String colDelim, java.lang.String stDelim)` Sets the delimiters for the columns and strings designations
`void` `setFilePath(java.lang.String path)` Sets the file path for which the extracted data is to be saved
`void` `setTable(Table table)` Sets the Table from which the data is to be extracted

Method Detail

### setTable

    void setTable(Table table)

  Sets the Table from which the data is to be extracted

  Parameters:
    `table` - the Table Object

### setFilePath

    void setFilePath(java.lang.String path)

  Sets the file path for which the extracted data is to be saved

  Parameters:
    `path` - the file path to save the extracted data

### setDelimiters

    void setDelimiters(java.lang.String colDelim,
                       java.lang.String stDelim)

  Sets the delimiters for the columns and strings designations

  Parameters:
    `colDelim` - the column delimiter
    `stDelim` - the string delimiter

### isUseExternalExtract

    boolean isUseExternalExtract()

  Returns whether or not to use external extract

### doExtract

    int doExtract(Output output)

  Performs the table data extraction

  Parameters:
    `output` - the outputItemAdapter
  Returns:
    the output code indicating the status
  See Also:
    `org.eclipse.datatools.sqltools.data.internal.core.common.Output;`